[Setup] Plone 4.0.3 install.sh changes for OpenBSD 4.8

Vijay Sankar vsankar2005 at gmail.com
Thu Feb 10 20:53:50 UTC 2011


On OpenBSD 4.8, I could not install Plone 4.0.3 even though 4.0.2 with
patches was working very well.

In the install.sh file for 4.0.3, I noticed

if [ "$HAVE_LIBSSL" != "yes" ] || [ "$HAVE_OPENSSL_SSL_H" != "yes" ]
&& [ "$WITHOUT_SSL" != '1' ] ; then

I am wondering if it should be an && instead of ||. Changing || to &&
allowed me to install Plone 4.0.3 on OpenBSD. Please let me know if
this was the right way to do it.

Thanks very much,

Vijay


-- 
Vijay Sankar
vsankar2005 at gmail.com
Phone: 204 885 9535


More information about the Setup mailing list